import { Widget } from '@phosphor/widgets';
import { IRenderMime } from '@jupyterlab/rendermime-interfaces';
import '../style/index.css';
/**
 * The MIME type for backend-rendered MapD.
 */
export declare const MIME_TYPE = "application/vnd.mapd.vega+json";
/**
 * The MIME type for png data.
 */
export declare const IMAGE_MIME = "image/png";
/**
 * A class for rendering a MapD-generated image.
 */
export declare class RenderedMapD extends Widget implements IRenderMime.IRenderer {
    /**
     * Render MapD image into this widget's node.
     */
    renderModel(model: IRenderMime.IMimeModel): Promise<void>;
    private _widget;
}
/**
 * A mime renderer factory for mapd-vega data.
 */
export declare const rendererFactory: IRenderMime.IRendererFactory;
declare const extensions: IRenderMime.IExtension | IRenderMime.IExtension[];
export default extensions;
