import { Widget } from '@phosphor/widgets';
import { ABCWidgetFactory, DocumentRegistry, DocumentWidget, IDocumentWidget } from '@jupyterlab/docregistry';
import { IMapDConnectionData } from './connection';
export declare class MapDViewer extends DocumentWidget<Widget> {
    constructor(context: DocumentRegistry.Context, connection?: IMapDConnectionData);
    /**
     * The current connection data for the viewer.
     */
    connection: IMapDConnectionData;
    /**
     * A promise that resolves when the viewer is ready.
     */
    readonly ready: Promise<void>;
    /**
     * Render MapD into this widget's node.
     */
    private _render;
    private _ready;
    private _widget;
    private _connection;
}
/**
 * A widget factory for images.
 */
export declare class MapDViewerFactory extends ABCWidgetFactory<IDocumentWidget<Widget>, DocumentRegistry.IModel> {
    /**
     * Create a new widget given a context.
     */
    protected createNewWidget(context: DocumentRegistry.IContext<DocumentRegistry.IModel>): MapDViewer;
    /**
     * The current default connection data for viewers.
     */
    defaultConnection: IMapDConnectionData;
    private _defaultConnection;
}
